Bug 131937 - Evolution cannot browse newsgroups
Evolution cannot browse newsgroups
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-07 01:56 EDT by Ivan Gyurdiev
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-22 22:49:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivan Gyurdiev 2004-09-07 01:56:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040901 Firefox/0.9.3

Description of problem:
Evolution is not able to browse the list of newsgroups on my campus'
newsserver (newsstand.cit.cornell.edu). It shows no newsgroups when I
try to subscribe to folders. Thunderbird has the same problem. 
This is behind a NAT router off campus. Notice, however, that
a Windows XP computer with the Gravity news reader on the same
network does not have this problem. 

I suspect this is some kind of authentication issue.
The Gravity reader allows me to enter a username and cleartext
password to authenticate, and only then the server will work.
Evolution allows me to enter a username and select the password
authentication method, but never prompts for a password before
attempting to show the list of newsgroups. 

I used to get news via Thunderbird when on campus and not behind NAT.
I think I didn't have to authenticate though (except for posts). Now I
have to authenticate because it won't work otherwise, and I think this
might be breaking it. 

Any clues or hints as to how I can help fix the problem?

Version-Release number of selected component (if applicable):
evolution-1.5.94.1-1

How reproducible:
Always

Steps to Reproduce:
1. See Summary
    

Additional info:
Comment 1 Dave Malcolm 2004-09-22 15:12:11 EDT
Can you reproduce this bug with evolution-2.0.0?

If so, can you open a terminal, export CAMEL_VERBOSE_DEBUG=1 and
restart evolution, and see what diagnostics are output.
Comment 2 Ivan Gyurdiev 2004-09-23 11:13:24 EDT
Thread 6550bb0 >
CamelFolder:get_message('Inbox', '2262') =
class: CamelMimeMessage
mime-type: text/plain; charset=utf-8
content class: CamelDataWrapper
content mime-type: text/plain; charset=utf-8
< 6550bb0 >
NNTP_STREAM_LINE(96): '200 newsstand.cit.cornell.edu InterNetNews NNRP
server INN 2.2.2 13-Dec-1999 ready (posting ok).'
NNTP_COMMAND: 'mode reader'
NNTP_STREAM_LINE(96): '200 newsstand.cit.cornell.edu InterNetNews NNRP
server INN 2.2.2 13-Dec-1999 ready (posting ok).'
NNTP_COMMAND: 'date'
NNTP_STREAM_LINE(18): '111 20040923151207'
NNTP_COMMAND: 'list overview.fmt'
NNTP_STREAM_LINE(41): '215 Order of fields in overview database.'
NNTP_STREAM_LINE(8): 'Subject:'
NNTP_STREAM_LINE(5): 'From:'
NNTP_STREAM_LINE(5): 'Date:'
NNTP_STREAM_LINE(11): 'Message-ID:'
NNTP_STREAM_LINE(11): 'References:'
NNTP_STREAM_LINE(6): 'Bytes:'
NNTP_STREAM_LINE(6): 'Lines:'
NNTP_STREAM_LINE(9): 'Xref:full'
NNTP_STREAM_LINE(END)
g_f_i: fast 0 subscr 4 recursive 2 online 1 top ""
Thread 37bdbb0 >
Get folder info(0x8d85210:nntp://ivg2@newsstand.cit.cornell.edu/,
'<null>') =
< 37bdbb0 >
g_f_i: fast 1 subscr 0 recursive 0 online 1 top ""
NNTP_COMMAND: 'date'
NNTP_STREAM_LINE(18): '111 20040923151224'
NNTP_COMMAND: 'list'
NNTP_STREAM_LINE(46): '215 Newsgroups in form "group high low flags".'
NNTP_STREAM_LINE(END)
Thread 37bdbb0 >
Get folder info(0x8d85210:nntp://ivg2@newsstand.cit.cornell.edu/, '') =
< 37bdbb0 >
g_f_i: fast 1 subscr 0 recursive 0 online 1 top ""
NNTP_COMMAND: 'date'
NNTP_STREAM_LINE(18): '111 20040923151225'
NNTP_COMMAND: 'newgroups 040923 151224'
NNTP_STREAM_LINE(26): '231 New newsgroups follow.'
NNTP_STREAM_LINE(END)
Thread 5b4fbb0 >
Get folder info(0x8d85210:nntp://ivg2@newsstand.cit.cornell.edu/, '') =
< 5b4fbb0 >
g_f_i: fast 1 subscr 0 recursive 0 online 1 top ""
NNTP_COMMAND: 'date'
NNTP_STREAM_LINE(18): '111 20040923151237'
NNTP_COMMAND: 'newgroups 040923 151225'
NNTP_STREAM_LINE(26): '231 New newsgroups follow.'
NNTP_STREAM_LINE(END)
Thread 37bdbb0 >
Get folder info(0x8d85210:nntp://ivg2@newsstand.cit.cornell.edu/, '') =
< 37bdbb0 >
g_f_i: fast 1 subscr 0 recursive 0 online 1 top ""
NNTP_COMMAND: 'date'
NNTP_STREAM_LINE(18): '111 20040923151436'
NNTP_COMMAND: 'newgroups 040923 151237'
NNTP_STREAM_LINE(26): '231 New newsgroups follow.'
NNTP_STREAM_LINE(END)
Thread 5b4fbb0 >
Get folder info(0x8d85210:nntp://ivg2@newsstand.cit.cornell.edu/, '') =
< 5b4fbb0 >

Except I don't see 231 newsgroups.
I see 0.0 newsgroups displayed when I select Tools->Subscribe Folders,
and choose the server in question.

Comment 3 Ivan Gyurdiev 2004-09-26 12:34:52 EDT
I got thunderbird to work. I had to tell it to 
"Always request authentication when connecting to server".

Evolution is still not working.

Comment 4 Ivan Gyurdiev 2004-10-21 04:12:46 EDT
This is still not working at all 30 days later. 
I tried with my friend's nntp server, and evolution complains:

Error retrieving newsgroups: 281 Ok 
where thunderbird works perfectly.

With the server that I usually use there's no error - it just doesn't
show any newsgroups - see above.

evolution-2.0.2-1

Comment 5 Ivan Gyurdiev 2004-11-24 19:49:30 EST
60 days later, no change. Should I bother developers upstream?

evolution-2.0.2-4
Comment 6 Ivan Gyurdiev 2004-12-22 22:49:49 EST
Fixed.

Note You need to log in before you can comment on or make changes to this bug.